Subject: [bug#33600] CDN performance

From: Chris Marusich <[email-masked]>
Date: Wed, 12 Dec 2018 23:11:25 -0800

Meiyo Peng <[email-masked]> writes:

> After careful thought, I realized the new CDN won't benefit China
> residents as planned. Any popular CDN outside China is significantly
> throttled by ISP/GFW and the situation is worse every year. A CDN will
> be a great improvement for western countries but not for many asia
> countries.

Could you try running the measure_get shell function I included in the
following email?

https://lists.gnu.org/archive/html/guix-devel/2018-12/msg00192.html

For convenience, here is the definition:

--8<---------------cut here---------------start------------->8---
measure_get () {
curl -L \
     -o /dev/null \
     -w "url_effective: %{url_effective}\\n\
http_code: %{http_code}\\n\
num_connects: %{num_connects}\\n\
num_redirects: %{num_redirects}\\n\
remote_ip: %{remote_ip}\\n\
remote_port: %{remote_port}\\n\
size_download: %{size_download} B\\n\
speed_download: %{speed_download} B/s\\n\
time_appconnect: %{time_appconnect} s\\n\
time_connect: %{time_connect} s\\n\
time_namelookup: %{time_namelookup} s\\n\
time_pretransfer: %{time_pretransfer} s\\n\
time_redirect: %{time_redirect} s\\n\
time_starttransfer: %{time_starttransfer} s\\n\
time_total: %{time_total} s\\n" \
"$1"
}
--8<---------------cut here---------------end--------------->8---

Specifically, I am curious to know what performance you get when you run

  measure_get https://berlin-mirror.marusich.info/nar/gzip/1bq783rbkzv9z9zdhivbvfzhsz2s5yac-linux-libre-4.19

from a computer in China.  Please be sure to run it two times in a row,
to ensure that CloudFront has cached the object.

CloudFront has edge locations in Hong Kong, so I am curious to know what
performance improvement, if any, you observe.

-- 
Chris